Name: bootsplash
Version: 3.3
Release: alt5

Group: System/Base
Summary: Console splash animations during bootup
License: GPL

PreReq: coreutils
Requires: design-bootsplash
Requires: startup >= 0.9.5.1
Requires: mkinitrd >= 2.9.4

Source: %name-%version.tar.bz2
Source1: rcsplash
Source2: splash.sh
Source3: functions-bootsplash
Patch0: bootsplash-3.2-fbtruetype.patch
Patch1: bootsplash-3.3-rootdir.patch
Patch2: bootsplash-3.3-alt-mngplay-def-xy.patch

# Automatically added by buildreq on Fri Mar 18 2005
BuildRequires: freetype2-devel-static glibc-devel-static libjpeg-devel libmng-devel-static >= 1.0.8-alt2 zlib-devel-static

%description
This package adds nice status animations to the boot process
(needs console splash screen enabled)

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
pushd Utilities
%make LIB=%_lib CFLAGS="%optflags -I/usr/include/freetype2"
popd

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/bootsplash/themes
mkdir -p $RPM_BUILD_ROOT/%_sbindir
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
# copy files
install -m 755 Utilities/fbmngplay.static         $RPM_BUILD_ROOT/sbin/fbmngplay
install -m 755 Utilities/fbtruetype.static        $RPM_BUILD_ROOT/sbin/fbtruetype
install -m 755 Utilities/splash            $RPM_BUILD_ROOT/sbin
install -m 755 Utilities/splashpbm         $RPM_BUILD_ROOT/sbin
install -m 755 Utilities/fbresolution      $RPM_BUILD_ROOT/sbin
install -m 755    Scripts/bootanim $RPM_BUILD_ROOT/sbin
install -m 755    %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/splash
install -m 755    %SOURCE2 $RPM_BUILD_ROOT/sbin/splash.sh
install -m 755    %SOURCE3 $RPM_BUILD_ROOT/etc/rc.d/init.d/
ln -sf ../../etc/init.d/splash $RPM_BUILD_ROOT%_sbindir/rcsplash
install -m 644    Scripts/sysconfig.bootsplash $RPM_BUILD_ROOT/etc/sysconfig/bootsplash
echo "THEME=\"current\"" >>$RPM_BUILD_ROOT/etc/sysconfig/bootsplash

%post
%post_service splash

%preun
%preun_service splash

%files
%doc Documentation/*
/sbin/bootanim
/sbin/fbmngplay
/sbin/fbresolution
/sbin/splash
/sbin/fbtruetype
/sbin/splashpbm
/sbin/splash.sh
%_sysconfdir/bootsplash
/etc/rc.d/init.d/splash
/etc/rc.d/init.d/functions-bootsplash
%_sbindir/rcsplash
%config %_sysconfdir/sysconfig/bootsplash

%changelog
* Wed Aug 19 2009 Sergey V Turchin <zerg@altlinux.org> 3.3-alt5
- fix race when chvt (ALT#21107); thanx silicium@alt

* Wed Nov 07 2007 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt4
- add condstop to rc script (fixes #6477)

* Thu Aug 23 2007 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt3
- fix turn on silent mode after Esc pressed

* Thu May 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt2
- change default coordinates for mngplay

* Wed May 16 2007 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt1
- new version

* Mon Apr 18 2005 Anton D. Kachalov <mouse@altlinux.org> 3.2-alt6.1.1
- multilib support

* Thu Apr 14 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.2-alt6.1
- Rebuilt with console-vt-tools.

* Fri Apr 08 2005 Anton Farygin <rider@altlinux.ru> 3.2-alt6
- /sbin/splash - added -r <path to root dir> option

* Thu Apr 07 2005 Anton Farygin <rider@altlinux.ru> 3.2-alt5
- updated previos fix

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 3.2-alt4
- fixed bugs into init.d/splash

* Thu Mar 24 2005 Anton Farygin <rider@altlinux.ru> 3.2-alt3
- fixed bugs into init.d/splash

* Tue Mar 22 2005 Anton Farygin <rider@altlinux.ru> 3.2-alt2
- added functions-bootsplash for last startup scripts

* Fri Mar 18 2005 Anton Farygin <rider@altlinux.ru> 3.2-alt1
- new version
- themes dirs moved to /etc/bootsplash
- added splash.sh for silent bootsplash process
- build fbtruetype and fbmngplay static

* Wed Mar 24 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt1
- new version

* Wed Mar 05 2003 Rider <rider@altlinux.ru> 1.2.1-alt1
- fix stop function for show splash screen on current console

* Mon Mar 03 2003 Rider <rider@altlinux.ru> 1.2-alt1
- fix initscript for correct stop and start funtions

* Mon Feb 24 2003 Rider <rider@altlinux.ru> 1.1-alt1
- splash initscript changed:
  * chkconfig support
  * stop function for show bootsplash image and change VT to 1
  * support for virtual terminal in themes. Need files in 
    /usr/share/splash/themes/$THEME/config/, named like vtsplash-<VT_NUMBER>-<RESOLUTION>.cfg
- added post and preun scripts for service splash
- removed %config tag from splash initscript


* Sun Feb 16 2003 Rider <rider@altlinux.ru> 1.0-alt2.2
- fix BuildRequires & requires

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2.1
- fix usage display in initscript (added "disable" to help screen)

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 1.0-alt2
- fix initscript

* Wed Feb 05 2003 Rider <rider@altlinux.ru> 1.0-alt1
- first build for ALT, based on SuSE package

